Antiprism 0.19

- Main Page
- Classes
- Files

- File List
- File Members

Typedefs | Functions

# base/std_polys.h File Reference

Platonic and Archimedean polyhedra. More...

`#include <stdio.h>`
`#include <string>`
`#include "geom.h"`
`#include "transforms.h"`
`#include "kaleido.h"`
Include dependency graph for std_polys.h:

## Typedefs
typedef void(* | model_func )(geom_if &)
| A basic function type that makes a model.
## Functions
void | normalised_face_list (geom_if &geom)
| Put face list into a normalised form.

## Detailed Description

Platonic and Archimedean polyhedra.

## Function Documentation

void normalised_face_list | ( | geom_if & | geom | ) |

Put face list into a normalised form.

Sometimes a model is created and the face list may not be consistent between machines, perhaps for numeric reasons. This function puts the list in a consistent form.

Parameters:

  geom | the geometry whose faces list will be put into the normalized form